use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'          => 'Table::Denormalized',
    'VERSION_FROM'  => 'lib/Table/Denormalized.pm', # finds $VERSION
    'ABSTRACT_FROM' => 'lib/Table/Denormalized.pm', # retrieve abstract from module
    'AUTHOR'        => 'Max Maischein <corion@cpan.org>',
    'PREREQ_PM'     => { 'Module::Pluggable::Fast' => 0,
                        'Storable'        => 0, # dclone() for ::ResultSet
                        'SQL::Statement'  => 0, # Required by SQL::Statement::Clauses
                        'DBI'             => 0,
                        'DBD::SQLite'     => 1.09, # Needed for ALTER TABLE syntax!

                        # For the DAV Server (overkill, likely)
                        'Filesys::Virtual' => 0,
                        'Net::DAV::Server' => 0,

                        # For the plugins
                        'Image::Info'     => 0,
                        'File::MMagic'    => 0,
                        'MIME::Types'     => 0,
                        'MP3::Info'       => 0,
                        'MP3::Tag'        => 0,
                        'Digest::MD5'     => 0,
			'OLE::Storage'    => 0,
			'Unicode::Map'    => 0, # A hidden dependency of OLE::Storage

                        # For the Templates
			'Template'        => '2.18', # 2.15 has some obscure bug
                        'Data::Page'      => 0,
                        'Class::Accessor' => 0, # FFRIndexed, also included via Data::Page already
                        'HTML::Prototype' => 0, # FFRIndexed::Template et al.

                        # For the tests
                        'Test::MockObject' => 0,
                      }, # e.g., Module::Name => 1.1

);

1;
