#!/usr/bin/perl -w
use strict;
use Test::More tests => 4;

use_ok 'SQL::Abstract::Clauses';

my $s = SQL::Abstract::Clauses->new();
isa_ok( $s, 'SQL::Abstract::Clauses' );

my ($sql,@bind) = $s->select('files',[ 'listened', 'count(*) as col_count' ],
                        where => { artist => 'Jamiroquai', mime_type => 'audio/mpeg' },
                        group_by => 'listened',
                        order_by => "col_count desc",
                        having  => { col_count => {'<' => 5 }}, 
                   );

my $target = <<SQL;
SELECT listened, count(*) as col_count FROM files 
  WHERE ( artist = ? AND mime_type = ? ) 
  GROUP BY listened 
  HAVING ( col_count < ? ) 
  ORDER BY col_count desc
SQL

s!\s+! !gsm
  for $sql, $target;

s!\s+$!!gsm
  for $sql, $target;


is $sql, $target, "We generated the expected SQL";

is_deeply \@bind, ['Jamiroquai', 'audio/mpeg', 5 ], "SQL parameters are correct";