#!/usr/bin/perl -w
use strict;
use Test::More tests => 2;
use DBI;

use_ok 'Table::Denormalized';

my $dbfile = "$0.sqlite";
if (-f $dbfile) {
  unlink $dbfile or 
    warn "Couldn't remove '$dbfile': $!";
};

END {
  if (-f $dbfile) {
    unlink $dbfile or 
      warn "Couldn't remove '$dbfile': $!";
  };
};

my $table = Table::Denormalized->new( dsn => "dbi:SQLite:dbname=$dbfile", table => 'file_cache' );
ok $table->create, "Can create fresh table";