#!/usr/bin/perl -w
use strict;
use Test::More tests => 3;
use Test::MockObject;

use_ok 'Table::Denormalized';

my $dbh = Test::MockObject->new();
my $sth = Test::MockObject->new();

$dbh->set_always(prepare_cached => $sth );

$sth->set_always(execute => 0);
$sth->set_always(finish => 0);
$sth->set_always(errstr => 'some DBI error message');
$sth->set_always(error_string => '"error_string" does not exist!');

my $table = Table::Denormalized->new( 
  dbh => $dbh,
  columns => [qw[ id title ]],
);

eval {
  $table->update_or_insert({ _id => 1, title => 'Hello World'});
};
ok $@, "An error was raised if update and insert both fail";
unlike $@, qr/error_string/, "The appropriate error message gets raised for an insertion error";
